"""Make 'last_attempt_status' nullable

Revision ID: b082fec533f0
Revises: df0c7ad8a076
Create Date: 2023-08-06 12:05:47.087325

"""
from alembic import op
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "b082fec533f0"
down_revision = "df0c7ad8a076"
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        "connector_credential_pair",
        "last_attempt_status",
        existing_type=postgresql.ENUM(
            "NOT_STARTED",
            "IN_PROGRESS",
            "SUCCESS",
            "FAILED",
            name="indexingstatus",
        ),
        nullable=True,
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        "connector_credential_pair",
        "last_attempt_status",
        existing_type=postgresql.ENUM(
            "NOT_STARTED",
            "IN_PROGRESS",
            "SUCCESS",
            "FAILED",
            name="indexingstatus",
        ),
        nullable=False,
    )
    # ### end Alembic commands ###
