from datetime import datetime
from datetime import timezone

from dateutil.parser import parse


def datetime_to_utc(dt: datetime) -> datetime:
    if dt.tzinfo is None or dt.tzinfo.utcoffset(dt) is None:
        dt = dt.replace(tzinfo=timezone.utc)

    return dt.astimezone(timezone.utc)


def time_str_to_utc(datetime_str: str) -> datetime:
    dt = parse(datetime_str)
    return datetime_to_utc(dt)
